| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
BOOST_LOOP_SETTINGS_s Struct Reference

> Boost converter main settings

User defined settings for control loops; More...

`#include <power_control/devices/dev_boost_typedef.h>`

Collaboration diagram for BOOST_LOOP_SETTINGS_s:

## Data Fields
volatile uint16_t | reference
| Control loop reference variable. More...
volatile uint16_t | feedback_offset
| Feedback offset value for calibration or bi-direction feedback signals. More...
volatile uint16_t | trigger_offset
| ADC trigger offset value for trigger fine-tuning. More...
volatile uint16_t | minimum
| output clamping value (minimum) More...
volatile uint16_t | maximum
| output clamping value (maximum) More...
volatile struct NPNZ16b_s * | controller
| pointer to control loop object data structure More...
volatile uint16_t(* | ctrl_Initialize )(volatile struct NPNZ16b_s *)
| Function pointer to INIT routine. More...
void(* | ctrl_Reset )(volatile struct NPNZ16b_s *)
| Function pointer to RESET routine. More...
void(* | ctrl_Update )(volatile struct NPNZ16b_s *)
| Function pointer to UPDATE routine. More...
void(* | ctrl_Precharge )(volatile struct NPNZ16b_s *, volatile fractional, volatile fractional)
| Function pointer to PRECHARGE routine. More...

## Detailed Description

> Boost converter main settings

User defined settings for control loops;

Definition at line 371 of file dev_boost_typedef.h.

## Field Documentation

## ◆ controller

volatile struct NPNZ16b_s* controller

pointer to control loop object data structure

Definition at line 380 of file dev_boost_typedef.h.

## ◆ ctrl_Initialize

volatile uint16_t(* ctrl_Initialize) (volatile struct NPNZ16b_s *)

Function pointer to INIT routine.

Definition at line 382 of file dev_boost_typedef.h.

## ◆ ctrl_Precharge

void(* ctrl_Precharge) (volatile struct NPNZ16b_s *, volatile fractional, volatile fractional)

Function pointer to PRECHARGE routine.

Definition at line 385 of file dev_boost_typedef.h.

## ◆ ctrl_Reset

void(* ctrl_Reset) (volatile struct NPNZ16b_s *)

Function pointer to RESET routine.

Definition at line 383 of file dev_boost_typedef.h.

## ◆ ctrl_Update

void(* ctrl_Update) (volatile struct NPNZ16b_s *)

Function pointer to UPDATE routine.

Definition at line 384 of file dev_boost_typedef.h.

## ◆ feedback_offset

volatile uint16_t feedback_offset

Feedback offset value for calibration or bi-direction feedback signals.

Definition at line 375 of file dev_boost_typedef.h.

## ◆ maximum

volatile uint16_t maximum

output clamping value (maximum)

Definition at line 378 of file dev_boost_typedef.h.

## ◆ minimum

volatile uint16_t minimum

output clamping value (minimum)

Definition at line 377 of file dev_boost_typedef.h.

## ◆ reference

volatile uint16_t reference

Control loop reference variable.

Definition at line 374 of file dev_boost_typedef.h.

## ◆ trigger_offset

volatile uint16_t trigger_offset

ADC trigger offset value for trigger fine-tuning.

Definition at line 376 of file dev_boost_typedef.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/devices/dev_boost_typedef.h